HostParams (Ant Contrib)
Keywords: net.sf.antcontrib.net.httpclient.HostParams class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class HostParams

    java.lang.Object
      org.apache.commons.httpclient.params.DefaultHttpParams
          org.apache.commons.httpclient.params.HostParams
              net.sf.antcontrib.net.httpclient.HostParams

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.commons.httpclient.params.HttpParams

    public class HostParams

extends org.apache.commons.httpclient.params.HostParams

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.httpclient.params.HostParams
`DEFAULT_HEADERS`

Constructor Summary
`HostParams()`

Method Summary
`void` | `addConfiguredDouble(Params.DoubleParam param)`
`void` | `addConfiguredInt(Params.IntParam param)`
`void` | `addConfiguredLong(Params.LongParam param)`
`void` | `addConfiguredString(Params.StringParam param)`

Methods inherited from class org.apache.commons.httpclient.params.HostParams
`getVirtualHost, setVirtualHost`

Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams
`clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostParams

    public HostParams()

Method Detail

### addConfiguredDouble

    public void addConfiguredDouble(Params.DoubleParam param)

### addConfiguredInt

    public void addConfiguredInt(Params.IntParam param)

### addConfiguredLong

    public void addConfiguredLong(Params.LongParam param)

### addConfiguredString

    public void addConfiguredString(Params.StringParam param)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD